
/*
   Copyright (c) 1994, by Kobus Barnard (author).

   Personal and educational use of this code is granted, provided
   that this header is kept intact, and that the authorship is not
   misrepresented. Commercial use is not permitted.
*/

#ifndef T3_INCL_FAST_INCLUDED
#define T3_INCL_FAST_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

#ifdef MAKE_DEPEND
#ifdef USE_FAST_INCLUDE
#    undef USE_FAST_INCLUDE
#endif
#endif

/*
// We can only have one fast include file, because fast include files cannot
// use double include information.
*/
#ifdef FIRST_FAST_INCLUDE_FILE
#   undef USE_FAST_INCLUDE
#else
#   define FIRST_FAST_INCLUDE_FILE
#endif

#ifdef USE_FAST_INCLUDE
#    include "t3/t3_incl_f2.h"
#else
#    include "t3/t3_incl.h"
#endif

#ifdef __cplusplus
}
#endif

#endif    /*   #include this file            */

