
/* =========================================================================== *
|                                                                              |
|  Copyright (c) 2003, by members of University of Arizona Computer Vision     |
|  group (the authors) including                                               ||
|        Kobus Barnard.                                                        |
|        Prasad Gabbur.                                                        |
|  For use outside the University of Arizona Computer Vision group please      |
|  contact Kobus Barnard.                                                      |
|                                                                              |
* =========================================================================== */

#include "i/i_incl.h"
#include "i/i_float_io.h" 
#include "seg/seg_incl.h" 

/* -------------------------------------------------------------------------- */

int main(int argc, char** argv)
{
    Matrix* Weight_mp      = NULL;
    Vector* Soft_bipart_vp = NULL;
    int i;

    kjb_init();   /* Best to do this if using KJB library. */

    /*
     * Kobus. Added this so I can test the testing.
     * Not ready to do anything in batch mode. 
    */
    if (! is_interactive())
    {
        return EXIT_SUCCESS;
    }
    
    ERE(get_zero_matrix(&Weight_mp, 4, 4));
    
    Weight_mp->elements[0][0] = 1.0;
    Weight_mp->elements[1][1] = 1.0;
    Weight_mp->elements[2][2] = 1.0;
    Weight_mp->elements[3][3] = 1.0;
    Weight_mp->elements[0][1] = 1.0;
    Weight_mp->elements[1][0] = 1.0;
    Weight_mp->elements[2][3] = 0.0;
    Weight_mp->elements[3][2] = 0.0;
    Weight_mp->elements[0][2] = 1.0;
    Weight_mp->elements[1][2] = 1.0;
  
    ERE(ncut_dense_bipartition(&Soft_bipart_vp, Weight_mp));

    for (i = 0; i < 4; i++)
    {
        pso("Soft_bipart_vp[%d] = %f\n", i, Soft_bipart_vp->elements[i]);
    }

    free_matrix(Weight_mp);
    free_vector(Soft_bipart_vp);

    kjb_cleanup(); /* Almost never needed, but doing it twice is OK. */

    return EXIT_SUCCESS; 
} 

/*  /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\ /\   */
